import type { Element } from 'ckeditor5/src/engine';
import { Command } from 'ckeditor5/src/core';

/**
 * Provides a base class for commands which require an accordion item element
 * to be selected.
 */
export default class BootstrapAccordionItemCommand extends Command {

  /**
   * The currently-selected accordion item.
   */
  protected accordionItem: Element | null | undefined;

  /**
   * @inheritdoc
   */
  override refresh() {
    this.accordionItem = this.editor.model.document.selection.getFirstPosition()?.findAncestor('bootstrapAccordionItem');
    this.isEnabled = !!this.accordionItem;
  }

}
