import type { AccordionItemInsertPosition } from '../bootstrapaccordiontypes';
import { createAccordionItem } from '../bootstrapaccordionutils';
import BootstrapAccordionItemCommand from './bootstrapaccordionitemcommand';

/**
 * Represents a command which is executed when the insert item above or insert
 * item below button is pressed with an accordion item selected.
 */
export default class InsertBootstrapAccordionItemCommand extends BootstrapAccordionItemCommand {

  /**
   * @inheritdoc
   */
  override execute(options: { value: AccordionItemInsertPosition }) {
    const { model } = this.editor;
    model.change(writer => {
      const { accordionItem } = createAccordionItem(writer);
      writer.insert(accordionItem, this.accordionItem!, options.value);
    });
  }

}
