import BootstrapAccordionItemCommand from './bootstrapaccordionitemcommand';

/**
 * Represents a command which is executed when the delete item button is
 * pressed with an accordion item selected.
 */
export default class RemoveBootstrapAccordionItemCommand extends BootstrapAccordionItemCommand {

  /**
   * @inheritdoc
   */
  override execute() {
    this.editor.model.change(writer => {
      writer.remove(this.accordionItem!);
    });
  }

  /**
   * @inheritdoc
   */
  override refresh() {
    super.refresh();
    if (this.isEnabled) {
      if (1 >= Array.from(this.accordionItem!.parent!.getChildren()).length) {
        // Disables the remove command if the accordion has only one item.
        this.isEnabled = false;
      }
    }
  }

}
